std::unique_lock::swap(3)

NAME
std::unique_lock::swap - std::unique_lock::swap

Synopsis
   void swap( unique_lock& other ) noexcept; (since C++11)
   Exchanges the internal states of the lock objects.

Parameters
   other - the lock to swap the state with

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   std::swap(std::unique_lock) specialization of std::swap for unique_lock
   (C++11) (function template)